--- 4.3.4/exim.conf-SpamBlockerTechnology-v4.3.4.txt	2015-09-08 00:41:10.000000000 -0500
+++ 4.4.0/exim.conf-SpamBlockerTechnology-v4.4.0.txt	2015-09-08 00:41:10.000000000 -0500
@@ -1,15 +1,8 @@
-# SpamBlockerTechnology* powered exim.conf, Version 4.3.4
-# beta-1
-# September 9, 2014 03:03 (-0700)
+# SpamBlockerTechnology* powered exim.conf, Version 4.4.0-alpha1
+# Aug 29, 2015 (-0700)
 # Exim configuration file for DirectAdmin
 # Requires exim.pl as distributed by DirectAdmin here:
-# http://files.directadmin.com/services/exim.pl version 19 or higher
-# New version 4.2.1 removes obsolete dnsbl.njabl.org blocklist
-# and two ahbl blocklists; see: # http://forum.directadmin.com/showthread.php?t=48774
-# Edit#42 : entire section now commented out as there is no other
-# name-base;d blocklist in use
-# Includes SpamBlockerTechnology blocklists and optimizations:
-# http://www.nobaloney.net/downloads/spamblocker/
+# http://files.directadmin.com/services/exim.pl version 21 or higher
 # ClamAV optional
 # SpamAssassin optional
 # Dovecot/IMAP Mandatory
@@ -75,6 +68,9 @@
 #Easy Spam Figher variables
 .include_if_exists /etc/exim.easy_spam_fighter/variables.conf
 
+#SRS
+.include_if_exists /etc/exim.srs.conf
+
 #EDIT#3:
 # qualify_domain =
 
@@ -667,6 +663,7 @@
 
 virtual_aliases_nostar:
   driver = redirect
+  srs = forward
   allow_defer
   allow_fail
   data = ${if exists{/etc/virtual/${domain}/aliases}{${lookup{$local_part}lsearch{/etc/virtual/${domain}/aliases}}}}
@@ -689,6 +686,7 @@
 # (this implements catch-all)
 virtual_aliases:
   driver = redirect
+  srs = forward
   allow_defer
   allow_fail
   condition = ${if eq {}{${if exists{/etc/virtual/${domain}/aliases}{${lookup{$local_part}lsearch{/etc/virtual/${domain}/aliases}}}}}{yes}{no}}
@@ -710,6 +708,11 @@
   pipe_transport = devnull
   retry_use_local_part
   #include_domain = true
+  
+srs_router:
+  driver = redirect
+  srs = reverseandforward
+  data = ${srs_recipient}
 
 #COMMENT#52:
 userforward:
@@ -741,7 +744,9 @@
   transport = local_delivery
 
 #COMMENT#53:
+##################################################################################
 # TRANSPORTS CONFIGURATION
+##################################################################################
 begin transports
 
 #COMMENT#54:
@@ -804,17 +809,18 @@
   from = "${local_part}@${domain}"
   log = /etc/virtual/${domain}/reply/${local_part}.log
   no_return_message
-  subject = "${if def:h_Subject: {Autoreply: ${quote:${escape:$h_Subject:}}} {I am on vacation}}"
-  text = "\
-	------                                                           ------\n\n\
-	This message was automatically generated by email software\n\
-	The delivery of your message has not been affected.\n\n\
-	------                                                           ------\n\n"
+  headers = ${if exists{/etc/virtual/${domain}/reply/${local_part}.headers}{${readfile{/etc/virtual/${domain}/reply/${local_part}.headers}}}}
+  subject = ${if def:h_Subject: {\
+                ${if exists{/etc/virtual/${domain}/reply/${local_part}.subject}\
+                    {${readfile{/etc/virtual/${domain}/reply/${local_part}.subject}{}}}\
+                    {Autoreply}\
+                }: ${quote:${escape:${length_60:$h_Subject:}}}}\
+                {I am on vacation}}
   to = "${sender_address}"
   user = mail
   once = /etc/virtual/${domain}/reply/${local_part}.once
   once_file_size = 100K
-  once_repeat = 2d
+  once_repeat = ${if exists{/etc/virtual/${domain}/reply/${local_part}.once_time}{${readfile{/etc/virtual/${domain}/reply/${local_part}.once_time}{}}}{2d}}
 
 #COMMENT#59:
 userautoreply:
@@ -824,12 +830,18 @@
   from = "${local_part}@${domain}"
   log = /etc/virtual/${domain}/reply/${local_part}.log
   no_return_message
-  subject = "${if def:h_Subject: {Autoreply: ${quote:${escape:$h_Subject:}}} {Autoreply Message}}"
+  headers = ${if exists{/etc/virtual/${domain}/reply/${local_part}.headers}{${readfile{/etc/virtual/${domain}/reply/${local_part}.headers}}}}
+  subject = ${if def:h_Subject: {\
+                ${if exists{/etc/virtual/${domain}/reply/${local_part}.subject}\
+                    {${readfile{/etc/virtual/${domain}/reply/${local_part}.subject}{}}}\
+                    {Autoreply}\
+                }: ${quote:${escape:${length_60:$h_Subject:}}}}\
+                {Autoreply Message}}
   to = "${sender_address}"
   user = mail
   once = /etc/virtual/${domain}/reply/${local_part}.once
   once_file_size = 100K
-  once_repeat = 2d
+  once_repeat = ${if exists{/etc/virtual/${domain}/reply/${local_part}.once_time}{${readfile{/etc/virtual/${domain}/reply/${local_part}.once_time}{}}}{2d}}
 
 #COMMENT#60:
 devnull:
